Subject: Re: [bug#59354] [PATCH] gnu: Add texlive-mathdots.

From: "yarl baudig" <[email-masked]>
Date: Sun, 20 Nov 2022 17:24:18 +0100 (CET)

> >> This doesn't look like a trivial package since it contains a ".ins"
> >> file. You need to generate the ".tex" and ".sty" files from it.
> >> 
> > I think it is, "tex/generic/mathdots/" in tug repo contains ".tex" and 
> ".sty" and if I compile, they are here.
> > First texlive package I package. I tried `guix import texlive
> > mathdots` then amended by looking at other texlive packages. Please
> > show me if I am wrong.
> 
> "guix import texlive mathdots" output doesn't include "#:trivial? #t"
> for a reason. You need to take a longer path and generate runfiles from
> the ".ins" file ; see e.g., "texlive-capt-of".
> 
> Regards,
> -- 
> Nicolas Goaziou
> 

Thank you.
I saw that "guix import texlive mathdots" doesn't include "#:trivial? #t" But I still don't see why it is not effectively a trivial package. As I told you, the ".tex" and ".sty" are already in the TUG repo. And with the package as I defined it (as trivial), when you build it, you get the "mathdots.sty" and "mathdots.tex". No need to compile because, whereas there is a ".ins" file,  ".sty" and ".tex" are already compiled and distributed, along the ".ins". Right?